package com.bonus.canteen.core.menu.vo;

import cn.hutool.core.util.ObjectUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("菜品评分")
public class MenuEvaluateDishesVO implements Serializable {
   @ApiModelProperty("评价id")
   private Long evaluaId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品评分")
   private Integer starLevel;
   @ApiModelProperty("商品名称")
   private String materialName;

   public String getDishesName() {
      return ObjectUtil.isEmpty(this.dishesName) ? this.materialName : this.dishesName;
   }

   public Long getEvaluaId() {
      return this.evaluaId;
   }

   public Integer getStarLevel() {
      return this.starLevel;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public void setEvaluaId(final Long evaluaId) {
      this.evaluaId = evaluaId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setStarLevel(final Integer starLevel) {
      this.starLevel = starLevel;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }
}
